Subject: bug#10823: 24.0.93; Make `C-h d' reporting more consistent and usable

From: Stefan Monnier <[email-masked]>
Date: Thu, 16 Feb 2012 08:48:26 -0500

> ----------------
> apropos-read-pattern
>   Function: Read an apropos pattern, either a word list or a regexp.

> <<Big wall of text>>

> (fn SUBJECT) 

> ,---- ^^^^^^^^^^^^^^
> | By the time I reach here, I have almost forgotten what "fn" I am looking
> | at. I also find this style of reporting inconsisten with C-h v and C-h f
> | style of reporting where the function signature is on the top.
> `----

It's a plain bug: when the "(fn FOO)" convention was added, the apropos
code was not updated correspondingly.  I.e. apropos needs to use
help-split-fundoc.

> ----------------

> ,---- ^^^^^^^^^^^^^^
> | Can these separators be converted to page breaks? So that I can move
> | between the different blocks using page navigation commands. Doing a

There are many ways to do that.  A trivial way is to set page-delimiter
in those buffers to a regexp that matches those lines.

> ,----[ C-h v internal-doc-file-name RET ]
> | internal-doc-file-name is a variable defined in `C source code'.
> | Its value is "DOC-X"
> | 
> | Documentation:
> | Name of file containing documentation strings of built-in symbols.
> | 
> | [back]
> `----

> ,----
> | Can someone clarify what the file is and what qualifies as "built-in"
> | symbols. Does it include the "whole" of what ships with vanilla Emacs or
> | just a subset of it. I tried looking around in the info manual. I found
> | nothing much which could give me a sense of "coverage" of the reported
> | list.
> `----

I don't understand the connection between this question and the
previous ones.  Is there any?
"built-in" here really means "included in the `emacs' binary",
i.e. either defined in C or preloaded.
But this is an internal variable which you shouldn't need to care about.

        Stefan